Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
validators
/
zilliqa
Zilliqa validators list.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/validators/zilliqa \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "balance": "<string>",
      "bls_public_key": "<string>",
      "index": 123
    }
  ],
  "next_page_params": {
    "index": 55
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
index
integer

Item index for paging

sort
enum<string>

Sort results by:

  • index - Sort by validator index Should be used together with order parameter.
Available options:
index
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc

Response

List of validators.

items
Staker · object[]
required
next_page_params
object
required
Example:
{ "index": 55 }